## ros-noetic-rm-calibration-controllers 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_calibration_controllers)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror)

## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        roscpp

        rm_common
        effort_controllers
        )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        CATKIN_DEPENDS
        roscpp

        rm_common
        effort_controllers
        LIBRARIES ${PROJECT_NAME}
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
        include
        ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME} src/joint_calibration_controller.cpp)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(
        TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
        DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
        FILES rm_calibration_controllers_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

=== debian/changelog ===
ros-noetic-rm-calibration-controllers (0.1.7-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.5-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.3-1buster) buster; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge branch 'master' into standard3
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.2-1buster) buster; urgency=high

  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'namespace'
    # Conflicts:
    #     rm_chassis_controllers/README.md
  * Merge pull request #15 <https://github.com/rm-controls/rm_controllers/issues/15> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control
  * Change name of namespace:from hardware_interface to rm_control.
  * Merge pull request #7 <https://github.com/rm-controls/rm_controllers/issues/7> from kbxkgxjg/patch-1
    Add white line behind title on calibration_controller  README.md
  * Add white line behind title
  * Rename motor to actuators
  * Merge pull request #6 <https://github.com/rm-controls/rm_controllers/issues/6> from kbxkgxjg/master
    Add doxygen comments on joint_calibration_controller.h
  * Modify the meaning of param req
  * Fix clang-format error
  * Modify the params
  * Update the comments of is calibrated()
  * Update the comments of starting()
  * Update the comments of update()
  * Update the comments of init()
  * Modify 'current joint state' to 'current calibration joint state'
  * Modift '' to '@'
  * Modify "actuator state" to "joint state " and Modify motors to actuators
  * Modify format
  * Delete white line
  * Delete a whitespace
  * Add annotation to function
  * Use “pragma once” in rm_calibration_controllers headers instead of include guards.
  * Merge pull request #2 <https://github.com/rm-controls/rm_controllers/issues/2> from kbxkgxjg/master
    Update README.md on rm_calibration_controllers
  * Modify the meaning of search_velocity and threshold
  * Revert "Modify 'is_calibrated_srv' to 'is_calibrated'"
    This reverts commit b5b06dfe
  * Delete a net
  * Modify 'is_calibrated_srv' to 'is_calibrated'
  * Add angular in front of velocity
  * fixed grammar error
  * Modify the meaning of is_calibrated_srv_
  * Modify a wrong hardware interface name
  * Add "Hardware interface type", modify "License" and Delete number
  * Modify actuator to motor
  * Add a white line in front of  “Or better”
  * Delete 啊
  * Delete a white line
  * Modify the font in Installation
  * Modify overview
  * Update the format of Installation
  * Add . behind CLIBRATIED
  * Modify the meaning of search_velocity threshold
  * Delete a white line
  * Add tap before begin and modify Installation from Packages
  * Delete whitespace before 'When ....'
  * Explain the 'search_velocity' 'threshold' together
  * Modify services to service
  * Modify format and modify the explanation of is_calibrated_srv_
  * Delete a whitespace between parameters and data type
  * Modify the font size in ROS API, and  delete ' . ' behind 3 .1 3.2
  * Add a whitespace between parameter and date type
  * Add '  ' to double
  * Modify Installation from Packages
  * Modify date type of 'is_calibrated_srv_'
  * Update 'Installation from Packages'
  * Update the explanation of 'is_calibrated_srv_'
  * Delete a whitespace
  * Delete '*' and change number
  * Delete a whitespace
  * Delete usage, and change the data type of is_calibrated_srv_
  * Delete config and pid
  * Add the type of the data And delete 'type' 'joint' 'actuators' parameters
  * Add rm_calibration_controllers README.md
  * Update README.md
    Add a line
  * Delete a whitespace
  * Add README.md
  * Fix wrong naming "include/rm_gimbal_controller"
  * Run pre-commit
  * Contributors: BruceLannn, QiayuanLiao, chenzheng, kbxkgxjg, ljq, qiayuan, yezi, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.1-1buster) buster; urgency=high

  * Set all version to the same
  * Add license to rm_calibration_controllers source files
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_calibration_controllers/rm_calibration_controllers, prepare for merge
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 12 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-calibration-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-calibration-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Description: RoboMaster standard robot Gimbal controller

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-calibration-controllers//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rm-calibration-controllers 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
         roscpp
 
         rm_common
+        controller_interface
         effort_controllers
         )

=== debian/changelog ===
ros-noetic-rm-calibration-controllers (0.1.10-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.9-1focal) focal; urgency=high

  * Merge pull request #103 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/103> from L-SY/fix_return
    Fix calibration controller no return true.
  * Fix bug.
  * Run pre-commit.
  * Merge branch 'master' into balance_standard
  * Add engineer trigger ui .
  * Merge pull request #96 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/96> from L-SY/fix_return
    Fix joint_calibration_controller
  * Delete repetitive set.
  * delete useless target_velocity_.
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * eyes is lost.
  * Update fix can not return .
  * Contributors: lsy, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.8-1focal) focal; urgency=high

  * Merge branch 'master' into target_velocity_correction
  * Merge pull request #87 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/87> from NaHCO3bc/Readme
    Fix the dependence bug in rm_calibration_controllers.
  * Fix the dependence bug in rm_calibration_controllers.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.7-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.5-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * 0.1.4
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Delete some config files in rm_controller.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge branch 'master' into standard3
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-calibration-controllers (0.1.2-1focal) focal; urgency=high

  * Merge branch 'master' into chassis/fix_filter
  * Merge remote-tracking branch 'origin/master'
  * Merge branch 'namespace'
    # Conflicts:
    #     rm_chassis_controllers/README.md
  * Merge pull request #15 <https://github.com/rm-controls/rm_controllers/issues/15> from ye-luo-xi-tui/namespace
    Change name of namespace:from hardware_interface to rm_control
  * Change name of namespace:from hardware_interface to rm_control.
  * Merge pull request #7 <https://github.com/rm-controls/rm_controllers/issues/7> from kbxkgxjg/patch-1
    Add white line behind title on calibration_controller  README.md
  * Add white line behind title
  * Rename motor to actuators
  * Merge pull request #6 <https://github.com/rm-controls/rm_controllers/issues/6> from kbxkgxjg/master
    Add doxygen comments on joint_calibration_controller.h
  * Modify the meaning of param req
  * Fix clang-format error
  * Modify the params
  * Update the comments of is calibrated()
  * Update the comments of starting()
  * Update the comments of update()
  * Update the comments of init()
  * Modify 'current joint state' to 'current calibration joint state'
  * Modift '' to '@'
  * Modify "actuator state" to "joint state " and Modify motors to actuators
  * Modify format
  * Delete white line
  * Delete a whitespace
  * Add annotation to function
  * Use “pragma once” in rm_calibration_controllers headers instead of include guards.
  * Merge pull request #2 <https://github.com/rm-controls/rm_controllers/issues/2> from kbxkgxjg/master
    Update README.md on rm_calibration_controllers
  * Modify the meaning of search_velocity and threshold
  * Revert "Modify 'is_calibrated_srv' to 'is_calibrated'"
    This reverts commit b5b06dfe
  * Delete a net
  * Modify 'is_calibrated_srv' to 'is_calibrated'
  * Add angular in front of velocity
  * fixed grammar error
  * Modify the meaning of is_calibrated_srv_
  * Modify a wrong hardware interface name
  * Add "Hardware interface type", modify "License" and Delete number
  * Modify actuator to motor
  * Add a white line in front of  “Or better”
  * Delete 啊
  * Delete a white line
  * Modify the font in Installation
  * Modify overview
  * Update the format of Installation
  * Add . behind CLIBRATIED
  * Modify the meaning of search_velocity threshold
  * Delete a white line
  * Add tap before begin and modify Installation from Packages
  * Delete whitespace before 'When ....'
  * Explain the 'search_velocity' 'threshold' together
  * Modify services to service
  * Modify format and modify the explanation of is_calibrated_srv_
  * Delete a whitespace between parameters and data type
  * Modify the font size in ROS API, and  delete ' . ' behind 3 .1 3.2


=== debian/control ===
Source: ros-noetic-rm-calibration-controllers
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-calibration-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-interface, ros-noetic-effort-controllers, ros-noetic-rm-common, ros-noetic-roscpp
Description: RoboMaster standard robot Gimbal controller
